/***************************************************************************
                          toolbar.c  -  toolbar buttons handler
                             -------------------                                         
    begin                : Mon Jun 28 1999                                           
    copyright            : (C) 1999 by Yarick Rastrigin                         
    email                : yarick@relex.ru                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
#include <gtk/gtk.h>
#include <glib.h>
#include "common.h"
#ifdef __DEBUG__
#include "debug.h"
#endif
#include "gvfs.h"
#include "rq.h"
#include "toolbar.h"

void
toolbar_cb (GtkWidget * toolbtn, gpointer data)
{
  switch ((gint) data)
    {
    case TBAR_CDUP:
      putRequest (CDUP, NULL, NULL);
      break;
    case TBAR_CUT:
      putRequest (CUT, NULL, NULL);
      break;
    case TBAR_COPY:
      putRequest (COPY, NULL, NULL);
      break;
    case TBAR_PASTE:
      putRequest (PASTE, NULL, NULL);
      break;
    case TBAR_DELETE:
      putRequest (DELETE_FILES, NULL, NULL);
      break;
    case TBAR_OPTS:
      /* Prefs dialog */
      break;
    default:
      break;
    };
};

void
cdspacepointpoint (void)
{
  gchar *hgc1;
  gchar *hgc2 = gvfs_get_current_dir ();
  hgc1 = hgc2 + strlen (hgc2) - 1;
  if (!strcmp (hgc2, "/"))
    return;
  if (*hgc1 == '/')
    *hgc1 = 0;
  while (*hgc1 != '/')
    hgc1--;
  if (hgc1 != hgc2)		//Root case again

    *hgc1 = 0;
  else
    *(hgc1 + 1) = 0;
  putRequest (MAKE_DIR_LIST, (void *) hgc2, NULL);
  putRequest (EXPAND_TREE, (void *) hgc2, NULL);
}
